package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class MenuRecipeDishesV2AddDTO implements Serializable {
   private Long id;
   @ApiModelProperty("菜品id")
   private @NotNull(
   message = "{menu_dishes_id_null}"
) Long dishesId;
   @ApiModelProperty("菜品单价")
   private @NotNull(
   message = "{menu_price_null}"
) Integer price;
   @ApiModelProperty("规格类型(1-标准,2-大份,3-小份,4-50g,5-100g)")
   private Long sizeType;
   @ApiModelProperty("供应数量")
   private @NotNull(
   message = "{menu_supply_num_null}"
) Integer supplyNum;
   @ApiModelProperty("销售数量")
   private Integer saleNum;
   @ApiModelProperty("个人限购数量")
   private @NotNull(
   message = "{menu_restrict_num_null}"
) Integer restrictNum;
   @ApiModelProperty("菜品价格(优惠价)")
   private Integer salePrice;
   @ApiModelProperty("是否推荐")
   private Integer recommendFlag;
   @ApiModelProperty("排序号")
   private Integer sortNum;

   public Long getId() {
      return this.id;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Long getSizeType() {
      return this.sizeType;
   }

   public Integer getSupplyNum() {
      return this.supplyNum;
   }

   public Integer getSaleNum() {
      return this.saleNum;
   }

   public Integer getRestrictNum() {
      return this.restrictNum;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public Integer getRecommendFlag() {
      return this.recommendFlag;
   }

   public Integer getSortNum() {
      return this.sortNum;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setSizeType(final Long sizeType) {
      this.sizeType = sizeType;
   }

   public void setSupplyNum(final Integer supplyNum) {
      this.supplyNum = supplyNum;
   }

   public void setSaleNum(final Integer saleNum) {
      this.saleNum = saleNum;
   }

   public void setRestrictNum(final Integer restrictNum) {
      this.restrictNum = restrictNum;
   }

   public void setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
   }

   public void setRecommendFlag(final Integer recommendFlag) {
      this.recommendFlag = recommendFlag;
   }

   public void setSortNum(final Integer sortNum) {
      this.sortNum = sortNum;
   }
}
